﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace WindowsFormsApp2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        [DllImport("LibUSB3DPrinter.dll",CallingConvention = CallingConvention.Cdecl)]
        public static extern bool LedOnOff(byte flag);

        [DllImport("LibUSB3DPrinter.dll", CallingConvention = CallingConvention.Cdecl)]
        public static extern bool PowerOnOff(byte flag);


        [DllImport("LibUSB3DPrinter.dll", CallingConvention = CallingConvention.Cdecl)]
        public static extern byte OpenUsbDevice();


//        [DllImport("LibUSB3DPrinter.dll", CallingConvention = CallingConvention.Cdecl)]
//        public static extern byte CloseUsbDevice();


        [DllImport("LibUSB3DPrinter.dll", CallingConvention = CallingConvention.Cdecl)]
        public static extern bool GetCurrent(out byte Value);

        [DllImport("LibUSB3DPrinter.dll", CallingConvention = CallingConvention.Cdecl)]
        public static extern bool SetCurrent(byte Value);


        private void button7_Click(object sender, EventArgs e)
        {
            byte curr = Convert.ToByte(txtcurrent.Text);
            SetCurrent(curr);
        }

        private void btnOpen_Click(object sender, EventArgs e)
        {
            byte res = OpenUsbDevice();
            lblOPENUSB.Text = res.ToString();
            if (res == 1)
            {
                txtINFO.Text = "OPEN SUCCESS";
            }
            else
            {
                txtINFO.Text = "OPEN FAILED";
            }
        }

        private void btnPowerOn_Click(object sender, EventArgs e)
        {
            byte B = 1;
            if (PowerOnOff(B))
            {
                txtINFO.Text = "POWER ON SUCCESS";
            }
        }

        private void btnPowerOff_Click(object sender, EventArgs e)
        {
            byte B = 0;
            if (PowerOnOff(B))
            {
                txtINFO.Text = "POWER OFF SUCCESS";
            }
        }

        private void btnGetCurrent_Click(object sender, EventArgs e)
        {
            byte curr = 0;
            GetCurrent(out curr);
            txtcurrent.Text = curr.ToString();
        }

        private void btnLedOn_Click(object sender, EventArgs e)
        {
            byte led = 1;
            if (LedOnOff(led))
            {
                txtINFO.Text = "LED ON SUCCESS";
            }
        }

        private void btnLedOff_Click(object sender, EventArgs e)
        {
            byte B = 0;
            if (LedOnOff(B))
            {
                txtINFO.Text = "LED OFF SUCCESS";
            }
        }
    }
}
